| Home | Libraries | People | FAQ | More

## Function template evaluate

boost::yap::evaluate

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<typename Expr, typename... T>
      decltype(auto) evaluate(Expr && expr, T &&... t);

## Description

Evaluates expr using the built-in semantics, replacing any placeholders with the given values.

| Note
`evaluate(expr)` is only valid if expr is an expression.